Package com.massivecraft.factions.cmd

## Class CmdBanner

- java.lang.Object
- - com.massivecraft.factions.cmd.FCommand
  - - com.massivecraft.factions.cmd.CmdBanner

    public class CmdBanner
    extends FCommand

### Field Summary

### Fields inherited from class com.massivecraft.factions.cmd.FCommand

`aliases, helpLong, optionalArgs, requiredArgs, requirements, sdf, subCommands, visibility`

### Constructor Summary

Constructors
Constructor | Description
--- | ---
`CmdBanner()` |

### Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`int` | `getEmptySlots​(org.bukkit.entity.Player p)` |
`TL` | `getUsageTranslation()` |
`boolean` | `hasMoney​(FPlayer fme, int amt)` |
`boolean` | `inventoryContains​(org.bukkit.inventory.Inventory inventory, org.bukkit.inventory.ItemStack item)` |
`void` | `perform​(CommandContext context)` |
`void` | `removeFromInventory​(org.bukkit.inventory.Inventory inventory, org.bukkit.inventory.ItemStack item)` |
`void` | `takeMoney​(FPlayer fme, int amt)` |

### Methods inherited from class com.massivecraft.factions.cmd.FCommand

`addSubCommand, execute, getHelpShort, getToolTips, getToolTips, getUsageTemplate, getUsageTemplate, isEnabled, replaceFactionTags, replaceFPlayerTags, setHelpShort, validArgs, validCall`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CmdBanner

    public CmdBanner()

### Method Detail

#### perform

    public void perform​(CommandContext context)

Specified by:
  `perform` in class `FCommand`

#### hasMoney

    public boolean hasMoney​(FPlayer fme,
                            int amt)

#### takeMoney

    public void takeMoney​(FPlayer fme,
                          int amt)

#### inventoryContains

    public boolean inventoryContains​(org.bukkit.inventory.Inventory inventory,
                                     org.bukkit.inventory.ItemStack item)

#### removeFromInventory

    public void removeFromInventory​(org.bukkit.inventory.Inventory inventory,
                                    org.bukkit.inventory.ItemStack item)

#### getEmptySlots

    public int getEmptySlots​(org.bukkit.entity.Player p)

#### getUsageTranslation

    public TL getUsageTranslation()

Specified by:
  `getUsageTranslation` in class `FCommand`